searchNodes=[{"doc":"Writes data to stdout in a table with borders and colors.Can choose a table style to change the look of the table.Inspired by the book Programming Elixir by Dave Thomas.","ref":"IO.ANSI.Table.html","title":"IO.ANSI.Table","type":"module"},{"doc":"Writes data from maps to stdout in a table tailored by options.All options can be configured and/or passed as a keyword argument. Each option of the keyword will override its configured counterpart. You should however configure all options except possibly :bell, :count and :style.The columns are identified by the :headers option (map keys). We calculate the width of each column to fit the longest element in that column, also considering the column heading. However, the :max_width option prevails.If the :count option is positive, we format the first n maps in the list, once sorted. If negative, the last n ones.See IO.ANSI.Table.Options for examples of all options.Parametersmaps - list of maps/keywords/structs (list)options - up to 10 options all configurable (keyword)Options:align_specs - to align column elements (list):bell - ring the bell? (boolean):count - number of maps to format (integer):headers - to identify each column (list):header_fixes - to alter the headers (map):margins - to position the table (keyword):max_width - to cap column widths (non_neg_integer):sort_specs - to sort the maps (list):sort_symbols - to denote sort direction (keyword):style - table style (atom)Table styles:bare - no colors:barish - like bare but colored:cyan - cyan background:cyan_alt - cyan header, alternating row colors:cyan_border - light cyan border:cyan_mult - cyan header, 3 repeating row colors:dark - dark colors:dark_alt - dark colors, alternating row colors:dark_mult - dark colors, 3 repeating row colors:dashed - no colors:dotted - slightly colored:dotted_alt - slightly colored, alternating row colors:dotted_mult - slightly colored, 3 repeating row colors:game - game board:green - green background:green_alt - green header, alternating row colors:green_border - light green border:green_border_padded - light green border with extra padding:green_border_unpadded - light green border without padding:green_mult - green header, 3 repeating row colors:green_padded - like green but with extra padding:green_unpadded - like green but without padding:light - light colors:light_alt - light colors, alternating row colors:light_mult - light colors, 3 repeating row colors:medium - medium colors:medium_alt - medium colors, alternating row colors:medium_mult - medium colors, 3 repeating row colors:mixed - fillers revealed:plain - slightly colored:pretty - multicolored:pretty_alt - multicolored, alternating row colors:pretty_mult - multicolored, 3 repeating row colors:test - no colors:yellow - light yellow background:yellow_border - light yellow borderExamples# Assuming the following config: # config :io_ansi_table, headers: [:name, :dob, :likes] # config :io_ansi_table, header_fixes: %{~r[dob]i =&gt; &quot;Date of Birth&quot;} # config :io_ansi_table, sort_specs: [asc: :dob] # config :io_ansi_table, align_specs: [center: :dob] # config :io_ansi_table, margins: [top: 2, bottom: 2] alias IO.ANSI.Table people = [ %{name: &quot;Mike&quot;, likes: &quot;ski, arts&quot;, dob: &quot;1992-04-15&quot;, bmi: 23.9}, %{name: &quot;Mary&quot;, likes: &quot;travels&quot; , dob: &quot;1992-04-15&quot;, bmi: 26.8}, %{name: &quot;Ann&quot; , likes: &quot;reading&quot; , dob: &quot;1992-04-15&quot;, bmi: 24.7}, %{name: &quot;Ray&quot; , likes: &quot;cycling&quot; , dob: &quot;1977-08-28&quot;, bmi: 19.1}, %{name: &quot;Bill&quot;, likes: &quot;karate&quot; , dob: &quot;1977-08-28&quot;, bmi: 18.1}, %{name: &quot;Joe&quot; , likes: &quot;boxing&quot; , dob: &quot;1977-08-28&quot;, bmi: 20.8}, %{name: &quot;Jill&quot;, likes: &quot;cooking&quot; , dob: &quot;1976-09-28&quot;, bmi: 25.8} ] Table.format(people, style: :light) Table.format(people, style: :light_alt) Table.format(people, style: :light_mult) Table.format(people, style: :cyan_alt) Table.format(people, style: :cyan_mult)","ref":"IO.ANSI.Table.html#format/2","title":"IO.ANSI.Table.format/2","type":"function"},{"doc":"Functions related to the columns of a table.","ref":"IO.ANSI.Table.Column.html","title":"IO.ANSI.Table.Column","type":"module"},{"doc":"","ref":"IO.ANSI.Table.Column.html#align_attrs/1","title":"IO.ANSI.Table.Column.align_attrs/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Column.html#column_widths/1","title":"IO.ANSI.Table.Column.column_widths/1","type":"function"},{"doc":"Returns the specs attribute of a header.Examplesiex&gt; alias IO.ANSI.Table.Column iex&gt; sort_specs = [&quot;dept&quot;, desc: &quot;hired&quot;] iex&gt; { ...&gt; Column.find_attr(&quot;dept&quot; , sort_specs, :asc), ...&gt; Column.find_attr(&quot;hired&quot;, sort_specs, :asc), ...&gt; Column.find_attr(&quot;job&quot; , sort_specs, :asc) ...&gt; } {:asc, :desc, nil}","ref":"IO.ANSI.Table.Column.html#find_attr/3","title":"IO.ANSI.Table.Column.find_attr/3","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Column.html#left_margin/1","title":"IO.ANSI.Table.Column.left_margin/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Column.html#sort_attrs/1","title":"IO.ANSI.Table.Column.sort_attrs/1","type":"function"},{"doc":"Spreads a width given an element and its align attribute.Examplesiex&gt; alias IO.ANSI.Table.Column iex&gt; { ...&gt; Column.spread(7, &quot;name&quot;, :left ), ...&gt; Column.spread(7, &quot;name&quot;, :center), ...&gt; Column.spread(7, &quot;name&quot;, :right ) ...&gt; } {[0, 4, 3], [1, 4, 2], [3, 4, 0]} iex&gt; alias IO.ANSI.Table.Column iex&gt; { ...&gt; Column.spread(3, &quot;name&quot;, :left ), ...&gt; Column.spread(3, &quot;name&quot;, :center), ...&gt; Column.spread(3, &quot;name&quot;, :right ) ...&gt; } {[0, 3, 0], [0, 3, 0], [0, 3, 0]} iex&gt; alias IO.ANSI.Table.Column iex&gt; { ...&gt; Column.spread(10, &quot;\e[32m\e[42mCHEETAH\e[0m&quot;, :left ), ...&gt; Column.spread(10, &quot;\e[32m\e[42mCHEETAH\e[0m&quot;, :center), ...&gt; Column.spread(10, &quot;\e[32m\e[42mCHEETAH\e[0m&quot;, :right ) ...&gt; } {[0, 21, 3], [1, 21, 2], [3, 21, 0]} iex&gt; alias IO.ANSI.Table.Column iex&gt; { ...&gt; Column.spread(7, &quot;\e[32m\e[42mCHEETAH\e[0m&quot;, :left ), ...&gt; Column.spread(7, &quot;\e[32m\e[42mCHEETAH\e[0m&quot;, :center), ...&gt; Column.spread(7, &quot;\e[32m\e[42mCHEETAH\e[0m&quot;, :right ) ...&gt; } {[0, 21, 0], [0, 21, 0], [0, 21, 0]}","ref":"IO.ANSI.Table.Column.html#spread/3","title":"IO.ANSI.Table.Column.spread/3","type":"function"},{"doc":"Returns a list of column widths capped by maximum width.Examplesiex&gt; alias IO.ANSI.Table.Column iex&gt; data = [[&quot;cat&quot;, &quot;wombat&quot;, &quot;elk&quot;], [&quot;mongoose&quot;, &quot;ant&quot;, &quot;gnu&quot;]] iex&gt; Column.widths(data) [6, 8] iex&gt; alias IO.ANSI.Table.Column iex&gt; data = [[&quot;cat&quot;, &quot;wombat&quot;, &quot;elk&quot;], [&quot;mongoose&quot;, &quot;ant&quot;, &quot;gnu&quot;]] iex&gt; Column.widths(data, 7) [6, 7] iex&gt; alias IO.ANSI.Table.Column iex&gt; data = [[&quot;\e[32m\e[42mCHEETAH\e[0m&quot;, &quot;elk&quot;], [&quot;mongoose&quot;, &quot;ant&quot;]] iex&gt; Column.widths(data) [7, 8]","ref":"IO.ANSI.Table.Column.html#widths/2","title":"IO.ANSI.Table.Column.widths/2","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Column.html#t:align_attr/0","title":"IO.ANSI.Table.Column.align_attr/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.Column.html#t:align_spec/0","title":"IO.ANSI.Table.Column.align_spec/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.Column.html#t:attr/0","title":"IO.ANSI.Table.Column.attr/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.Column.html#t:sort_attr/0","title":"IO.ANSI.Table.Column.sort_attr/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.Column.html#t:sort_spec/0","title":"IO.ANSI.Table.Column.sort_spec/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.Column.html#t:sort_symbol/0","title":"IO.ANSI.Table.Column.sort_symbol/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.Column.html#t:spec/0","title":"IO.ANSI.Table.Column.spec/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.Column.html#t:spread/0","title":"IO.ANSI.Table.Column.spread/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.Column.html#t:t/0","title":"IO.ANSI.Table.Column.t/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.Column.html#t:width/0","title":"IO.ANSI.Table.Column.width/0","type":"type"},{"doc":"Gets table properties.","ref":"IO.ANSI.Table.Config.html","title":"IO.ANSI.Table.Config","type":"module"},{"doc":"","ref":"IO.ANSI.Table.Config.html#align_specs/0","title":"IO.ANSI.Table.Config.align_specs/0","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#align_specs/1","title":"IO.ANSI.Table.Config.align_specs/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#bell/0","title":"IO.ANSI.Table.Config.bell/0","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#bell/1","title":"IO.ANSI.Table.Config.bell/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#count/0","title":"IO.ANSI.Table.Config.count/0","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#count/1","title":"IO.ANSI.Table.Config.count/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#header_fixes/0","title":"IO.ANSI.Table.Config.header_fixes/0","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#header_fixes/1","title":"IO.ANSI.Table.Config.header_fixes/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#headers/0","title":"IO.ANSI.Table.Config.headers/0","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#headers/1","title":"IO.ANSI.Table.Config.headers/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#margins/0","title":"IO.ANSI.Table.Config.margins/0","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#margins/1","title":"IO.ANSI.Table.Config.margins/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#max_width/0","title":"IO.ANSI.Table.Config.max_width/0","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#max_width/1","title":"IO.ANSI.Table.Config.max_width/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#sort_specs/0","title":"IO.ANSI.Table.Config.sort_specs/0","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#sort_specs/1","title":"IO.ANSI.Table.Config.sort_specs/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#sort_symbols/0","title":"IO.ANSI.Table.Config.sort_symbols/0","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#sort_symbols/1","title":"IO.ANSI.Table.Config.sort_symbols/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#style/0","title":"IO.ANSI.Table.Config.style/0","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Config.html#style/1","title":"IO.ANSI.Table.Config.style/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Formatter.html","title":"IO.ANSI.Table.Formatter","type":"module"},{"doc":"","ref":"IO.ANSI.Table.Formatter.html#print_table/3","title":"IO.ANSI.Table.Formatter.print_table/3","type":"function"},{"doc":"Functions related to the column headings of a table.","ref":"IO.ANSI.Table.Heading.html","title":"IO.ANSI.Table.Heading","type":"module"},{"doc":"Updates the headings of a table specification.Examplesiex&gt; alias IO.ANSI.Table.Heading iex&gt; spec = %{ ...&gt; headers: [:c4, :c1, :c2], ...&gt; header_fixes: %{}, ...&gt; headings: [], ...&gt; sort_attrs: [:asc, nil, nil], ...&gt; sort_specs: [:c4], ...&gt; sort_symbols: [desc: &quot;↓&quot;, pos: :trailing, asc: &quot;↑&quot;] ...&gt; } iex&gt; %{headings: headings} = Heading.headings(spec) iex&gt; headings [&quot;C4↑&quot;, &quot;C1&quot;, &quot;C2&quot;]","ref":"IO.ANSI.Table.Heading.html#headings/1","title":"IO.ANSI.Table.Heading.headings/1","type":"function"},{"doc":"Formats the line of a table.","ref":"IO.ANSI.Table.Line.html","title":"IO.ANSI.Table.Line","type":"module"},{"doc":"Returns an Erlang io format reflecting item widths and item attributes. It consists of a string with embedded ANSI codes (escape sequences), if emitting ANSI codes is enabled.Here are a few ANSI codes:light yellow - \\e[93mlight cyan - \\e[96mreset - \\e[0mExamplesiex&gt; alias IO.ANSI.Table.Line iex&gt; item_widths = [2, 0, 6] iex&gt; item_attrs = [:light_yellow, :normal, :light_cyan] iex&gt; Line.format(item_widths, item_attrs, true) &quot;\\e[93m~-2ts\\e[0m~-0ts\\e[96m~-6ts\\e[0m~n&quot;","ref":"IO.ANSI.Table.Line.html#format/3","title":"IO.ANSI.Table.Line.format/3","type":"function"},{"doc":"Deploys the style attributes of a given line type and table spec.Examplesiex&gt; alias IO.ANSI.Table.Line iex&gt; spec = %{style: :medium, sort_attrs: [nil, :asc, nil]} iex&gt; type = :header iex&gt; Line.item_attrs(type, spec) [ :normal, :gold , :normal, # left border :normal, :canary , :normal, # non key column :normal, :gold , :normal, # inner border :normal, [:canary, :underline] , :normal, # key column :normal, :gold , :normal, # inner border :normal, :canary , :normal, # non key column :normal, :gold , :normal # right border ]","ref":"IO.ANSI.Table.Line.html#item_attrs/2","title":"IO.ANSI.Table.Line.item_attrs/2","type":"function"},{"doc":"Deploys widths of elements for a given line type and table spec.Examplesiex&gt; alias IO.ANSI.Table.Line iex&gt; spec = %{ ...&gt; style: :medium, ...&gt; align_attrs: [:right, :center, nil], ...&gt; column_widths: [7, 13, 11] ...&gt; } iex&gt; type = :header iex&gt; elems = [&quot;Number&quot;, &quot;Created at&quot;, &quot;Title&quot;] iex&gt; Line.item_widths(elems, type, spec) [0, 1, 1, 1, 6, 0, 1, 1, 1, 1, 10, 2, 1, 1, 1, 0, 5, 6, 1, 1, 0]","ref":"IO.ANSI.Table.Line.html#item_widths/3","title":"IO.ANSI.Table.Line.item_widths/3","type":"function"},{"doc":"Deploys elements by adding &quot;fillers&quot; and borders (left, inner and right).Examplesiex&gt; alias IO.ANSI.Table.Line iex&gt; elements = [&quot;Number&quot;, &quot;Created at&quot;, &quot;Title&quot;] iex&gt; Line.items(elements, [&quot;&lt;&quot;, &quot;=&quot;, &quot;&gt;&quot;]) [ &quot;&quot;, &quot;&lt;&quot; , &quot;&quot;, # filler, left border, filler &quot;&quot;, &quot;Number&quot; , &quot;&quot;, # filler, element, filler &quot;&quot;, &quot;=&quot; , &quot;&quot;, # filler, inner border, filler &quot;&quot;, &quot;Created at&quot;, &quot;&quot;, # filler, element, filler &quot;&quot;, &quot;=&quot; , &quot;&quot;, # filler, inner border, filler &quot;&quot;, &quot;Title&quot; , &quot;&quot;, # filler, element, filler &quot;&quot;, &quot;&gt;&quot; , &quot;&quot; # filler, right border, filler ]","ref":"IO.ANSI.Table.Line.html#items/2","title":"IO.ANSI.Table.Line.items/2","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Line.html#t:elem/0","title":"IO.ANSI.Table.Line.elem/0","type":"type"},{"doc":"Defines the line type types.","ref":"IO.ANSI.Table.LineType.html","title":"IO.ANSI.Table.LineType","type":"module"},{"doc":"","ref":"IO.ANSI.Table.LineType.html#t:non_row/0","title":"IO.ANSI.Table.LineType.non_row/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.LineType.html#t:row/0","title":"IO.ANSI.Table.LineType.row/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.LineType.html#t:t/0","title":"IO.ANSI.Table.LineType.t/0","type":"type"},{"doc":"Structures a reversed flat list of line types.","ref":"IO.ANSI.Table.LineTypes.html","title":"IO.ANSI.Table.LineTypes","type":"module"},{"doc":"Structures a reversed flat list of line types.Examplesiex&gt; alias IO.ANSI.Table.LineTypes iex&gt; types = Enum.reverse([:top, :header, :separator, :row, :bottom]) iex&gt; LineTypes.new(types) [:top, :header, :separator, [:row], :bottom] iex&gt; alias IO.ANSI.Table.LineTypes iex&gt; types = [:top, :header, :separator, :even_row, :odd_row, :bottom] iex&gt; types = Enum.reverse(types) iex&gt; LineTypes.new(types) [:top, :header, :separator, [:even_row, :odd_row], :bottom] iex&gt; alias IO.ANSI.Table.LineTypes iex&gt; types = Enum.reverse([:header, :separator, :row_1, :row_2, :row_3]) iex&gt; LineTypes.new(types) [:header, :separator, [:row_1, :row_2, :row_3]]","ref":"IO.ANSI.Table.LineTypes.html#new/1","title":"IO.ANSI.Table.LineTypes.new/1","type":"function"},{"doc":"Documents the IO.ANSI.Table.Options using configuration examples.NotesYou can configure :async which is a compile time option. Therefore changing this option requires to recompile the :io_ansi_table app. When true the table will print asynchronously. Defaults to false.If option sort_specs (see below) specifies structs like %Date{} or %Time{}, you must provide the following configuration and then recompile the :map_sorter dependency used by :io_ansi_table:config :map_sorter, sorting_on_structs?: truemix deps.compile map_sorterExamplesalign_specs - to align column elements (list of attribute/header pairs where the attribute is `:left`, `:center` or `:right` and where `:left` is the default attribute)config :io_ansi_table, align_specs: [ center: &quot;station_id&quot;, right: &quot;pressure_mb&quot;, right: &quot;pressure_in&quot; ]config :io_ansi_table, align_specs: [ left: &quot;station_id&quot;, right: &quot;wind_mph&quot; ]config :io_ansi_table, align_specs: [ &quot;station_id&quot;, right: &quot;wind_mph&quot; ]bell - ring the bell? (boolean)config :io_ansi_table, bell: trueconfig :io_ansi_table, bell: falsecount - number of maps/keywords/structs to format (integer)config :io_ansi_table, count: 11 # default countconfig :io_ansi_table, count: -11headers - to identify each column (list of map/keyword/struct keys)config :io_ansi_table, headers: [ &quot;station_id&quot;, &quot;observation_time_rfc822&quot;, &quot;wind_mph&quot; ]header_fixes - to alter the headers (map)config :io_ansi_table, header_fixes: %{ # merged with default header fixes ~r[ id$]i =&gt; &quot; ID&quot;, ~r[ mph$]i =&gt; &quot; MPH&quot;, ~r[ rfc(...)$]i =&gt; &quot; RFC-\\\\1&quot; }config :io_ansi_table, header_fixes: %{ # default header fixes &quot; A &quot; =&gt; &quot; a &quot;, &quot; After &quot; =&gt; &quot; after &quot;, &quot; Along &quot; =&gt; &quot; along &quot;, &quot; An &quot; =&gt; &quot; an &quot;, &quot; And &quot; =&gt; &quot; and &quot;, &quot; Around &quot; =&gt; &quot; around &quot;, &quot; At &quot; =&gt; &quot; at &quot;, &quot; But &quot; =&gt; &quot; but &quot;, &quot; By &quot; =&gt; &quot; by &quot;, &quot; For &quot; =&gt; &quot; for &quot;, &quot; From &quot; =&gt; &quot; from &quot;, &quot; Not &quot; =&gt; &quot; not &quot;, &quot; Of &quot; =&gt; &quot; of &quot;, &quot; On &quot; =&gt; &quot; on &quot;, &quot; Or &quot; =&gt; &quot; or &quot;, &quot; So &quot; =&gt; &quot; so &quot;, &quot; The &quot; =&gt; &quot; the &quot;, &quot; To &quot; =&gt; &quot; to &quot;, &quot; With &quot; =&gt; &quot; with &quot;, &quot; Without &quot; =&gt; &quot; without &quot;, &quot; Yet &quot; =&gt; &quot; yet &quot; }margins - to position the table (keyword)config :io_ansi_table, margins: [ # merged with default margins left: 3 # column(s) left of table ]config :io_ansi_table, margins: [ # default margins top: 1, # line(s) before table (can be negative) bottom: 1, # line(s) after table left: 2 # column(s) left of table ]config :io_ansi_table, margins: [ # example for side-by-side tables top: -11, # move cursor up 11 lines!! bottom: 1, left: 35, # move cursor forward 35 columns!! ]max_width - to cap column widths (non_neg_integer)config :io_ansi_table, max_width: 99 # default max widthsort_specs - to sort the maps/keywords/structs (list of attribute/header pairs where the attribute is either `:asc` or `:desc` and where `:asc` is the default attribute)config :io_ansi_table, sort_specs: [ &quot;station_id&quot;, &quot;wind_mph&quot; ]config :io_ansi_table, sort_specs: [ &quot;station_id&quot;, desc: &quot;wind_mph&quot;, desc: &quot;temp_c&quot; ]config :io_ansi_table, sort_specs: [ asc: &quot;station_id&quot;, desc: &quot;wind_mph&quot; ]sort_symbols - to denote sort direction (keyword)config :io_ansi_table, sort_symbols: [ # merged with default sort symbols asc: &quot;^&quot;, pos: [:leading, :trailing] ]config :io_ansi_table, sort_symbols: [ # default sort symbols asc: &quot;↑&quot;, desc: &quot;↓&quot;, pos: :trailing ]config :io_ansi_table, sort_symbols: [ asc: &quot;▲&quot;, desc: &quot;▼&quot;, pos: :trailing ]config :io_ansi_table, sort_symbols: [ asc: &quot;^&quot;, desc: &quot;v&quot;, pos: :leading ]style - table style (atom)config :io_ansi_table, style: :plain # default styleconfig :io_ansi_table, style: :dark","ref":"IO.ANSI.Table.Options.html","title":"IO.ANSI.Table.Options","type":"module"},{"doc":"Functions related to the rows of a table.","ref":"IO.ANSI.Table.Row.html","title":"IO.ANSI.Table.Row","type":"module"},{"doc":"","ref":"IO.ANSI.Table.Row.html#rows/2","title":"IO.ANSI.Table.Row.rows/2","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Row.html#t:t/0","title":"IO.ANSI.Table.Row.t/0","type":"type"},{"doc":"Table GenServer...","ref":"IO.ANSI.Table.Server.html","title":"IO.ANSI.Table.Server","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"IO.ANSI.Table.Server.html#child_spec/1","title":"IO.ANSI.Table.Server.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"IO.ANSI.Table.Server.html#init/1","title":"IO.ANSI.Table.Server.init/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Server.html#start_link/1","title":"IO.ANSI.Table.Server.start_link/1","type":"function"},{"doc":"Holds the specification of the table to be formatted.","ref":"IO.ANSI.Table.Spec.html","title":"IO.ANSI.Table.Spec","type":"module"},{"doc":"","ref":"IO.ANSI.Table.Spec.html#apply/2","title":"IO.ANSI.Table.Spec.apply/2","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Spec.html#deploy/2","title":"IO.ANSI.Table.Spec.deploy/2","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Spec.html#new/0","title":"IO.ANSI.Table.Spec.new/0","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Spec.html#t:t/0","title":"IO.ANSI.Table.Spec.t/0","type":"type"},{"doc":"Defines functions returning the properties of configured table styles.","ref":"IO.ANSI.Table.Style.html","title":"IO.ANSI.Table.Style","type":"module"},{"doc":"Returns the border attribute of a given table style and line type.Examplesiex&gt; alias IO.ANSI.Table.Style iex&gt; Style.border_attr(:green, :top) [:light_white, :green_background]","ref":"IO.ANSI.Table.Style.html#border_attr/2","title":"IO.ANSI.Table.Style.border_attr/2","type":"function"},{"doc":"Returns the border spreads of a given table style and line type.Examplesiex&gt; alias IO.ANSI.Table.Style iex&gt; Style.border_spreads(:plain, :bottom) [[0, 2, 0], [0, 3, 0], [0, 2, 0]] # borders: &quot;└─&quot;, &quot;─┴─&quot;, &quot;─┘&quot; iex&gt; alias IO.ANSI.Table.Style iex&gt; Style.border_spreads(:plain, :header) [[0, 1, 1], [1, 1, 1], [1, 1, 0]] # borders: &quot;│&quot; , &quot;│&quot; , &quot;│&quot;","ref":"IO.ANSI.Table.Style.html#border_spreads/2","title":"IO.ANSI.Table.Style.border_spreads/2","type":"function"},{"doc":"Returns the borders of a given table style and line type.Examplesiex&gt; alias IO.ANSI.Table.Style iex&gt; Style.borders(:cyan, :bottom) [&quot;╚═&quot;, &quot;═╩═&quot;, &quot;═╝&quot;]","ref":"IO.ANSI.Table.Style.html#borders/2","title":"IO.ANSI.Table.Style.borders/2","type":"function"},{"doc":"Returns the dash of a given table style and line type.Examplesiex&gt; IO.ANSI.Table.Style iex&gt; Style.dash(:dark, :top) &quot;═&quot; iex&gt; IO.ANSI.Table.Style iex&gt; Style.dash(:dark, :row) nil","ref":"IO.ANSI.Table.Style.html#dash/2","title":"IO.ANSI.Table.Style.dash/2","type":"function"},{"doc":"Returns the filler attribute of a given table style and line type.Examplesiex&gt; alias IO.ANSI.Table.Style iex&gt; Style.filler_attr(:mixed, :row) :green_background","ref":"IO.ANSI.Table.Style.html#filler_attr/2","title":"IO.ANSI.Table.Style.filler_attr/2","type":"function"},{"doc":"Converts a switch argument to a table style.Examplesiex&gt; alias IO.ANSI.Table.Style iex&gt; Style.from_switch_arg(&quot;green-alt&quot;) {:ok, :green_alt} iex&gt; alias IO.ANSI.Table.Style iex&gt; Style.from_switch_arg(&quot;lite&quot;) :error","ref":"IO.ANSI.Table.Style.html#from_switch_arg/1","title":"IO.ANSI.Table.Style.from_switch_arg/1","type":"function"},{"doc":"Returns the key attribute of a given table style and line type.Examplesiex&gt; alias IO.ANSI.Table.Style iex&gt; Style.key_attr(:light, :row) :chartreuse iex&gt; alias IO.ANSI.Table.Style iex&gt; Style.key_attr(:light, :header) [:gold, :underline]","ref":"IO.ANSI.Table.Style.html#key_attr/2","title":"IO.ANSI.Table.Style.key_attr/2","type":"function"},{"doc":"Returns the line types of a given table style.Examplesiex&gt; alias IO.ANSI.Table.Style iex&gt; Style.line_types(:light) [:top, :header, :separator, [:row], :bottom] iex&gt; alias IO.ANSI.Table.Style iex&gt; Style.line_types(:green_alt) [:top, :header, :separator, [:even_row, :odd_row]]","ref":"IO.ANSI.Table.Style.html#line_types/1","title":"IO.ANSI.Table.Style.line_types/1","type":"function"},{"doc":"Returns the non key attribute of a given table style and line type.Examplesiex&gt; alias IO.ANSI.Table.Style iex&gt; Style.non_key_attr(:cyan, :row) [:black, :cyan_background]","ref":"IO.ANSI.Table.Style.html#non_key_attr/2","title":"IO.ANSI.Table.Style.non_key_attr/2","type":"function"},{"doc":"Returns the list of all table styles.Examplesiex&gt; alias IO.ANSI.Table.Style iex&gt; Style.styles() |&gt; length() 36","ref":"IO.ANSI.Table.Style.html#styles/0","title":"IO.ANSI.Table.Style.styles/0","type":"function"},{"doc":"Returns a list of interpolated texts (one per table style) and optionally passes each one to a function.Examplesalias IO.ANSI.Table.Style Style.texts(&quot; - `&amp;style`&amp;filler - &amp;note\\n&quot;) alias IO.ANSI.Table.Style Style.texts(&quot; - `&amp;style`&amp;filler - &amp;note&quot;, &amp;IO.puts/1)Interpolation placeholders&amp;style - table style (e.g. &quot;:light_alt&quot;)&amp;arg - table style switch arg (e.g. &quot;light-alt&quot;)&amp;filler - padding after &amp;style or &amp;arg&amp;note - table style note&amp;rank - table style rank (3 digits)","ref":"IO.ANSI.Table.Style.html#texts/2","title":"IO.ANSI.Table.Style.texts/2","type":"function"},{"doc":"Converts a table style to a switch argument.Examplesiex&gt; alias IO.ANSI.Table.Style iex&gt; Style.to_switch_arg(:green_alt) &quot;green-alt&quot; iex&gt; alias IO.ANSI.Table.Style iex&gt; Style.to_switch_arg(:lite) nil","ref":"IO.ANSI.Table.Style.html#to_switch_arg/1","title":"IO.ANSI.Table.Style.to_switch_arg/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Style.html#t:attr/0","title":"IO.ANSI.Table.Style.attr/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.Style.html#t:border/0","title":"IO.ANSI.Table.Style.border/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.Style.html#t:t/0","title":"IO.ANSI.Table.Style.t/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.TopSup.html","title":"IO.ANSI.Table.TopSup","type":"module"},{"doc":"Callback implementation for Application.start/2.","ref":"IO.ANSI.Table.TopSup.html#start/2","title":"IO.ANSI.Table.TopSup.start/2","type":"function"}]